WordPress.org

Make WordPress Core

Opened 7 months ago

Closed 5 months ago

#46521 closed defect (bug) (fixed)

CSS line-height values should be unitless - jquery-ui-dialog.css

Reported by: ianbelanger Owned by: ianbelanger
Milestone: 5.3 Priority: normal
Severity: normal Version:
Component: External Libraries Keywords: has-patch needs-testing good-first-bug
Focuses: ui, administration, coding-standards Cc:
PR Number:

Description

As outlined in #44643, CSS line-height values should be unitless unless necessary to be defined as a specific pixel value. It was suggested that we break up 44643 by stylesheet in order to better track them.

This ticket covers wp-includes/css/jquery-ui-dialog.css

Note: The patch was tested only on a Windows machine in Chrome, Firefox, IE11 and Edge. As per https://core.trac.wordpress.org/ticket/44643#comment:23 it should probably be tested on other OS's and supported browsers.

Attachments (2)

46521.diff (755 bytes) - added by ianbelanger 7 months ago.
46521.1.diff (767 bytes) - added by ianbelanger 5 months ago.
Updates patch with more precise line-height calculations

Download all attachments as: .zip

Change History (6)

@ianbelanger
7 months ago

#1 @ianbelanger
7 months ago

  • Component changed from General to External Libraries

#2 @ianbelanger
7 months ago

  • Milestone changed from Awaiting Review to Future Release

@ianbelanger
5 months ago

Updates patch with more precise line-height calculations

#3 @ianbelanger
5 months ago

  • Milestone changed from Future Release to 5.3

#4 @SergeyBiryukov
5 months ago

  • Resolution set to fixed
  • Status changed from assigned to closed

In 45471:

CSS Coding Standards: Use unitless values for line-height in wp-includes/css/jquery-ui-dialog.css.

Props ianbelanger, pbiron, afercia.
Fixes #46521. See #44643.

Note: See TracTickets for help on using tickets.